Modem is not detected (ever, or for several minutes); computer sometimes freezes; modem-manager sometimes crashes -- Huawei E160

Bug #982283 reported by Rishi Gadhok on 2012-04-15
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
network-manager (Ubuntu)
Undecided
Unassigned

Bug Description

Huawei e160 modem isn't consistently detected. It's a hit and miss affair. Sometimes requires several attempts of plugging in and out.
This modem also has a MicroSD card slot and this is probably what is causing the issue. However, no additional drive is reported or mounted automatically.
It just takes 2-5 minutes for the modem to be detected. Following which running it is usually hassle free.

Using ubuntu 12.04

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: network-manager 0.9.4.0-0ubuntu3
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu3
Architecture: amd64
Date: Sun Apr 15 17:48:06 2012
InstallationMedia: This
IpRoute:
 default via 10.64.64.64 dev ppp0 proto static
 10.64.64.64 dev ppp0 proto kernel scope link src 112.79.128.134
 169.254.0.0/16 dev ppp0 scope link metric 1000
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
SourcePackage: network-manager
UpgradeStatus: Upgraded to precise on 2012-03-18 (28 days ago)
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 ttyUSB1 gsm connected /org/freedesktop/NetworkManager/Devices/3
 eth0 802-3-ethernet unavailable /org/freedesktop/NetworkManager/Devices/1
 wlan0 802-11-wireless disconnected /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.4.0 connected enabled enabled enabled enabled enabled
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu5
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC665 Analog [ALC665 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: rishi 2189 F.... pulseaudio
 /dev/snd/controlC0: rishi 2189 F.... pulseaudio
 /dev/snd/pcmC0D0p: rishi 2189 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0a00000 irq 57'
   Mixer name : 'Realtek ALC665'
   Components : 'HDA:10ec0665,1028046e,00100003'
   Controls : 25
   Simple ctrls : 12
Card1.Amixer.info:
 Card hw:1 'NVidia'/'HDA NVidia at 0xcdefc000 irq 17'
   Mixer name : 'Nvidia GPU 14 HDMI/DP'
   Components : 'HDA:10de0014,10de0101,00100100'
   Controls : 24
   Simple ctrls : 4
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=cc0cdc76-9415-4970-9655-ebde53ae90cf
InstallationMedia: This
IpRoute:
 default via 192.168.2.1 dev wlan0 proto static
 169.254.0.0/16 dev wlan0 scope link metric 1000
 192.168.2.0/24 dev wlan0 proto kernel scope link src 192.168.2.104 metric 2
KnownReport: https://bugs.launchpad.net/bugs/452814
MachineType: Dell Inc. XPS L501X
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
NonfreeKernelModules: nvidia
Package: network-manager 0.9.4.0-0ubuntu3
PackageArchitecture: amd64
ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic root=UUID=c6230f54-6e0e-4a44-9ad2-f195df33ec06 ro resume=UUID=cc0cdc76-9415-4970-9655-ebde53ae90cf quiet splash
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-23-generic N/A
 linux-backports-modules-3.2.0-23-generic N/A
 linux-firmware 1.79
StagingDrivers: mei
Tags: precise staging precise
Uname: Linux 3.2.0-23-generic x86_64
UpgradeStatus: Upgraded to precise on 2012-03-18 (39 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 07/26/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A08
dmi.board.name: 0J1VR3
dmi.board.vendor: Dell Inc.
dmi.board.version: A08
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A08
dmi.modalias: dmi:bvnDellInc.:bvrA08:bd07/26/2011:svnDellInc.:pnXPSL501X:pvrA08:rvnDellInc.:rn0J1VR3:rvrA08:cvnDellInc.:ct8:cvrA08:
dmi.product.name: XPS L501X
dmi.product.version: A08
dmi.sys.vendor: Dell Inc.
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 eth0 802-3-ethernet unavailable /org/freedesktop/NetworkManager/Devices/1
 wlan0 802-11-wireless connected /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.4.0 connected enabled enabled enabled enabled disabled
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu5
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC665 Analog [ALC665 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: rishi 2189 F.... pulseaudio
 /dev/snd/controlC0: rishi 2189 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0a00000 irq 57'
   Mixer name : 'Realtek ALC665'
   Components : 'HDA:10ec0665,1028046e,00100003'
   Controls : 25
   Simple ctrls : 12
Card1.Amixer.info:
 Card hw:1 'NVidia'/'HDA NVidia at 0xcdefc000 irq 17'
   Mixer name : 'Nvidia GPU 14 HDMI/DP'
   Components : 'HDA:10de0014,10de0101,00100100'
   Controls : 24
   Simple ctrls : 4
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=cc0cdc76-9415-4970-9655-ebde53ae90cf
InstallationMedia: This
IpRoute:
 default via 192.168.2.1 dev wlan0 proto static
 169.254.0.0/16 dev wlan0 scope link metric 1000
 192.168.2.0/24 dev wlan0 proto kernel scope link src 192.168.2.104 metric 2
KnownReport: https://bugs.launchpad.net/bugs/452814
MachineType: Dell Inc. XPS L501X
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
NonfreeKernelModules: nvidia
Package: network-manager 0.9.4.0-0ubuntu3
PackageArchitecture: amd64
ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic root=UUID=c6230f54-6e0e-4a44-9ad2-f195df33ec06 ro resume=UUID=cc0cdc76-9415-4970-9655-ebde53ae90cf quiet splash
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-23-generic N/A
 linux-backports-modules-3.2.0-23-generic N/A
 linux-firmware 1.79
StagingDrivers: mei
Tags: precise staging precise
Uname: Linux 3.2.0-23-generic x86_64
UpgradeStatus: Upgraded to precise on 2012-03-18 (39 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 07/26/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A08
dmi.board.name: 0J1VR3
dmi.board.vendor: Dell Inc.
dmi.board.version: A08
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A08
dmi.modalias: dmi:bvnDellInc.:bvrA08:bd07/26/2011:svnDellInc.:pnXPSL501X:pvrA08:rvnDellInc.:rn0J1VR3:rvrA08:cvnDellInc.:ct8:cvrA08:
dmi.product.name: XPS L501X
dmi.product.version: A08
dmi.sys.vendor: Dell Inc.
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 eth0 802-3-ethernet unavailable /org/freedesktop/NetworkManager/Devices/1
 wlan0 802-11-wireless connected /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.4.0 connected enabled enabled enabled enabled disabled

Rishi Gadhok (rishigadhok) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager (Ubuntu):
status: New → Confirmed
Julia Simon (julia-simon) wrote :

I'm experiencing this bug as well, with one small but important difference: the "hit and miss" behaviour Rishi describes was already present with 11.10/Oneiric on my machine, and after upgrading to 12.04/Precise, the modem doesn't work at all. The kernel detects it when I plug it in, then flip-flops between "storage device" and "modem" for a while (during which the computer freezes for >10 seconds several times), but nothing else happens. NetworkManager cannot "see" the modem.

Pertinent syslog excerpt attached.

Looks like that device isn't properly being detected, but this shouldn't normally cause the kernel to lock up.

Reassigning to 'linux' so it can be looked at with the option driver or part of the serial stack. We've had this kind of issues before with at least the ZTE MF636.

Once freezes can be fixed it will be easier to make sure the support for the device works properly.

Apr 26 15:28:02 xehxeltic kernel: [ 2497.432509] option: option_instat_callback: error -108
Apr 26 15:28:02 xehxeltic kernel: [ 2497.432981] option1 ttyUSB0: GSM modem (1-port) converter now disconnected from ttyUSB0
Apr 26 15:28:02 xehxeltic kernel: [ 2497.433050] option 1-3:1.0: device disconnected
Apr 26 15:28:12 xehxeltic kernel: [ 2507.188133] tty_ldisc_hangup: waiting (usb-storage) for ttyUSB1 took too long, but we keep waiting...
Apr 26 15:28:14 xehxeltic modem-manager[875]: <warn> (ttyUSB1): open blocked by driver for more than 7 seconds!

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 982283

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected staging
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.4kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc5-precise/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Pablo (pjferra) wrote :

I have the same problem, but I can add a few comments:

Julia: with 12.04 I've been able to make the modem work two or three times (completely random)

When plugging the modem many times the system freezes but not allways.

From time to time, the modem is recognized after several minutes of being connected.

Most of the times, after plugging the modem, modem-manager crashes and apport opens to send a bug report (I don't know how to link the report to this bug)

None of that happened with 10.04.

Wolf Rogner (war-rsb) wrote :

Same problem here

I can wait for hours and nothing happens.

Thomas Hood (jdthood) on 2012-07-22
summary: - Huawei e160 modem isn't always detected. Freezes computer briefly.
+ Modem is not detected (ever, or for several minutes); computer sometimes
+ freezes; modem-manager sometimes crashes -- Huawei E160
Wolf Rogner (war-rsb) wrote :

This is what happens when I plug it in:

Aug 10 22:11:54 mbp kernel: [20218.164199] usb 2-1.3: new high-speed USB device number 7 using ehci_hcd
Aug 10 22:11:54 mbp kernel: [20218.270680] scsi14 : usb-storage 2-1.3:1.0
Aug 10 22:11:54 mbp mtp-probe: checking bus 2, device 7: "/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1.3"
Aug 10 22:11:54 mbp mtp-probe: bus: 2, device: 7 was not an MTP device
Aug 10 22:11:55 mbp kernel: [20218.475883] usb 2-1.3: USB disconnect, device number 7
Aug 10 22:12:01 mbp kernel: [20225.059281] usb 2-1.3: new high-speed USB device number 8 using ehci_hcd
Aug 10 22:12:01 mbp mtp-probe: checking bus 2, device 8: "/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1.3"
Aug 10 22:12:01 mbp kernel: [20225.164480] option 2-1.3:1.0: GSM modem (1-port) converter detected
Aug 10 22:12:01 mbp kernel: [20225.164620] usb 2-1.3: GSM modem (1-port) converter now attached to ttyUSB0
Aug 10 22:12:01 mbp kernel: [20225.164827] option 2-1.3:1.1: GSM modem (1-port) converter detected
Aug 10 22:12:01 mbp kernel: [20225.164959] usb 2-1.3: GSM modem (1-port) converter now attached to ttyUSB1
Aug 10 22:12:01 mbp kernel: [20225.165758] scsi17 : usb-storage 2-1.3:1.2
Aug 10 22:12:01 mbp kernel: [20225.166765] scsi18 : usb-storage 2-1.3:1.3
Aug 10 22:12:01 mbp mtp-probe: bus: 2, device: 8 was not an MTP device
Aug 10 22:12:02 mbp kernel: [20226.164012] scsi 17:0:0:0: CD-ROM HUAWEI Mass Storage 2.31 PQ: 0 ANSI: 2
Aug 10 22:12:02 mbp kernel: [20226.168773] scsi 18:0:0:0: Direct-Access HUAWEI MMC Storage 2.31 PQ: 0 ANSI: 2
Aug 10 22:12:02 mbp kernel: [20226.175892] sr1: scsi-1 drive
Aug 10 22:12:02 mbp kernel: [20226.176407] sr 17:0:0:0: Attached scsi CD-ROM sr1
Aug 10 22:12:02 mbp kernel: [20226.177800] sr 17:0:0:0: Attached scsi generic sg3 type 5
Aug 10 22:12:02 mbp kernel: [20226.179730] sd 18:0:0:0: Attached scsi generic sg4 type 0
Aug 10 22:12:02 mbp kernel: [20226.190737] sd 18:0:0:0: [sdc] Attached SCSI removable disk

Wolf Rogner (war-rsb) wrote :

With Ubuntu 12.10 this works again

Wolf Rogner (war-rsb) wrote :

With Ubuntu 15.04 it reappeared.

The stick is practically useless.

Reason I found is that the stick registers as USB storage as well and then is not recognized as modem.

Pablo (pjferra) wrote :

Try this:

sudo modprobe -r option; sudo modprobe -r usb_wwan; sudo modprobe -r usbserial; sudo modprobe usbserial vendor=0x12d1 product=0x1003

It worked for me some time ago.
I don't remember if I should plug the stick before, type the command, unplug and plug it again, or not.

It also worked to append the modprobe commands to the /etc/rc.local file

Good luck

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments